package com.viettel.campaign.model.ccms_full;

import lombok.Getter;
import lombok.Setter;

import javax.persistence.*;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.Date;

/**
 * @author anhvd_itsol
 */

@Entity
@Table(name = "SCENARIO_QUESTION")
@Getter
@Setter
public class ScenarioQuestion implements Serializable {
    @Id
    @NotNull
    @GeneratedValue(generator = "SCENARIO_QES_SEQ")
    @SequenceGenerator(name = "SCENARIO_QES_SEQ", sequenceName = "SCENARIO_QES_SEQ", allocationSize = 1)
    @Basic(optional = false)
    @Column(name = "SCENARIO_QUESTION_ID")
    private Long scenarioQuestionId;

    @Column(name = "COMPANY_SITE_ID")
    private Long companySiteId;

    @Column(name = "CAMPAIGN_ID")
    private Long campaignId;

    @Column(name = "SCENARIO_ID")
    private Long scenarioId;

    @Column(name = "CODE")
    private String code;

    @Column(name = "TYPE")
    private Short type;

    @Column(name = "QUESTION")
    private String question;

    @Column(name = "ORDER_INDEX")
    private Long orderIndex;

    @Column(name = "STATUS")
    private Short status;

    @Temporal(TemporalType.TIMESTAMP)
    @Column(name = "CREATE_TIME")
    private Date createTime;

    @Temporal(TemporalType.TIMESTAMP)
    @Column(name = "DELETE_TIME")
    private Date deleteTime;

    @Column(name = "IS_REQUIRE")
    private Short isRequire;

    @Column(name = "IS_DEFAULT")
    private Short isDefault;

    @Column(name = "ANSWER_INDEX")
    private Short answerIndex;
}
